View Issue Details

IDProjectCategoryView StatusLast Update
0001130Main CAcert Websitewebsite contentpublic2014-11-21 06:49
ReporterUli60Assigned ToUli60 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionno change required 
Product Version2012 Q4 
Target Version2014 Q3Fixed in Version2014 Q3 
Summary0001130: Replace DisputeResolutionPolicy.html with rev p20121213
Descriptionreplace
https://www.cacert.org/policy/DisputeResolutionPolicy.php
with the new attached html updated revision
following p20121213
https://wiki.cacert.org/PolicyDecisions#p20121213
=> https://www.cacert.org/policy/DisputeResolutionPolicy.html

previous revision has .php extension, new revision has .html extension
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

related to 0001009 closedNEOatNHNG Exchange OA policy in the WebDB with the one in SVN (rev p20080401.1) 
related to 0001131 closedNEOatNHNG Rename _all_ Policies from .php to .html and fix all links (was: Rename PolicyOnPolicy.php to .html) 
related to 0000941 needs workUli60 Policy Repository Migration 

Activities

Uli60

2012-12-21 14:34

updater  

DisputeResolutionPolicy_p20121213.html (22,963 bytes)

Uli60

2012-12-21 14:35

updater   ~0003539

plz rename DisputeResolutionPolicy_p20121213.html to
DisputeResolutionPolicy.html
for /policy/DisputeResolutionPolicy.html
remove DisputeResolutionPolicy.php

iang

2012-12-21 14:39

developer   ~0003540

References:

policy group decisions p20110108 p20121213, this is now the current DRAFT

https://wiki.cacert.org/PolicyDecisions#p20121213
https://wiki.cacert.org/PolicyDecisions#p20110108

PoP4.2 "4.2 A DRAFT is a policy-in-effect for the Community and is to be distributed and treated as such" policy group requests that the main website document be updated.

http://www.cacert.org/policy/PolicyOnPolicy.php#s4.2

INOPIAE

2013-01-06 22:48

updater   ~0003589

pushed fix to https://github.com/INOPIAE/CAcert/commit/bug-1130

INOPIAE

2013-01-08 08:18

updater   ~0003602

The DisputeResolutionPolicy shows the entry DRAFT p20110108 p20121213 and the logos.

New policy works

Werner Dworak

2013-01-08 10:56

updater   ~0003607

The DisputeResolutionPolicy shows the entry DRAFT p20110108 p20121213 and the logos and else shows the correct contents.

Therefore it works.

Uli60

2013-01-08 22:06

updater   ~0003620

Logout
About CAcert - Policies
shows -> https://cacert1.it-sls.de/policy/DisputeResolutionPolicy.php
=> FAIL
request was to set the policy to .HTML
see https://wiki.cacert.org/Brain/Policy/Guide
and in this bug report description


https://cacert1.it-sls.de/policy/DisputeResolutionPolicy.php
similar to
https://svn.cacert.org/CAcert/Policies/DisputeResolutionPolicy_p20121213.html
in source line 1 an addtl. ' has been added
=> ?

Policy + Draft symbol works
=> ok

MartinGummi

2013-01-08 22:18

updater   ~0003621

Error Line 1, Column 39: character "'" not allowed in prolog

<?xml version="1.0" encoding="utf-8"?>'

http://validator.w3.org/check?uri=http%3A%2F%2Fcacert1.it-sls.de%2Fpolicy%2FDisputeResolutionPolicy.php&charset=%28detect+automatically%29&doctype=Inline&group=0

INOPIAE

2013-01-08 22:26

updater   ~0003623

After fix the ' is not there anymore
=>ok

INOPIAE

2013-01-09 20:51

updater   ~0003633

Three test are made. Please review. The change to html will be handled in https://bugs.cacert.org/view.php?id=1131

Uli60

2013-01-15 06:17

updater   ~0003654

https://bugs.cacert.org/view.php?id=1130#c3621 problem fixed
=> ok

the rest, same as
https://bugs.cacert.org/view.php?id=1130#c3620
=> ok

NEOatNHNG

2013-01-15 23:07

administrator   ~0003668

Changes OK => ready to deploy

wytze

2013-01-17 15:31

developer   ~0003686

The patch has been installed on the production server on January 17, 2013. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2013-01/msg00005.html

Uli60

2013-02-15 22:35

updater   ~0003751

recent policy decision p20130116 to incorporate
see updated document:
https://svn.cacert.org/CAcert/Policies/DisputeResolutionPolicy-p20130116.html

Uli60

2013-02-15 22:36

updater  

DisputeResolutionPolicy-p20130116.html (22,934 bytes)

Uli60

2013-02-15 22:38

updater   ~0003752

revision
DisputeResolutionPolicy-p20130116.html
still has the link fixes according to bug 0001131 include

Eva

2014-08-17 14:47

updater   ~0004955

The DRP has reached POLICY status with the policy decision p20140731.

The document of this bug is deprecated by this policy decision so it should not be moved to the production server.

Issue History

Date Modified Username Field Change
2012-12-21 14:33 Uli60 New Issue
2012-12-21 14:33 Uli60 Assigned To => Uli60
2012-12-21 14:34 Uli60 File Added: DisputeResolutionPolicy_p20121213.html
2012-12-21 14:35 Uli60 Note Added: 0003539
2012-12-21 14:35 Uli60 Status new => fix available
2012-12-21 14:39 iang Note Added: 0003540
2012-12-21 18:12 Uli60 Relationship added related to 0001009
2012-12-21 18:28 Uli60 Relationship added related to 0001131
2012-12-21 18:43 Uli60 Assigned To Uli60 => BenBE
2013-01-06 22:48 INOPIAE Note Added: 0003589
2013-01-06 22:56 BenBE Reviewed by => BenBE
2013-01-06 22:56 BenBE Assigned To BenBE => NEOatNHNG
2013-01-06 22:56 BenBE Status fix available => needs review & testing
2013-01-08 08:18 INOPIAE Note Added: 0003602
2013-01-08 10:56 Werner Dworak Note Added: 0003607
2013-01-08 22:06 Uli60 Note Added: 0003620
2013-01-08 22:18 MartinGummi Note Added: 0003621
2013-01-08 22:26 INOPIAE Note Added: 0003623
2013-01-09 20:51 INOPIAE Note Added: 0003633
2013-01-09 20:51 INOPIAE Status needs review & testing => needs review
2013-01-10 10:43 Werner Dworak Relationship added related to 0000941
2013-01-15 06:17 Uli60 Note Added: 0003654
2013-01-15 23:07 NEOatNHNG Reviewed by BenBE => NEOatNHNG, BenBE
2013-01-15 23:07 NEOatNHNG Note Added: 0003668
2013-01-15 23:07 NEOatNHNG Status needs review => ready to deploy
2013-01-15 23:17 BenBE Source_changeset_attached => cacert-devel testserver-stable f4661078
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 5a03eb2d
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 03cc021e
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 3b508298
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable afe0e4a3
2013-01-15 23:17 BenBE Source_changeset_attached => cacert-devel testserver-stable a15736cd
2013-01-15 23:17 BenBE Source_changeset_attached => cacert-devel testserver-stable 9ad928e5
2013-01-15 23:17 BenBE Source_changeset_attached => cacert-devel testserver-stable 600b1a8d
2013-01-16 04:30 BenBE Source_changeset_attached => cacert-devel release d92573a7
2013-01-17 15:31 wytze Note Added: 0003686
2013-01-17 15:31 wytze Status ready to deploy => solved?
2013-01-17 15:31 wytze Resolution open => fixed
2013-01-17 15:33 wytze Fixed in Version => 2013 Q1
2013-01-17 15:34 Werner Dworak Product Version => 2012 Q4
2013-02-15 22:34 Uli60 Assigned To NEOatNHNG => Uli60
2013-02-15 22:35 Uli60 Note Added: 0003751
2013-02-15 22:35 Uli60 Status solved? => needs work
2013-02-15 22:36 Uli60 File Added: DisputeResolutionPolicy-p20130116.html
2013-02-15 22:38 Uli60 Note Added: 0003752
2013-02-15 22:38 Uli60 Status needs work => fix available
2014-08-17 14:47 Eva Note Added: 0004955
2014-08-17 14:49 BenBE Status fix available => solved?
2014-08-17 14:49 BenBE Resolution fixed => no change required
2014-08-17 14:49 BenBE Fixed in Version 2013 Q1 => 2014 Q3
2014-08-17 14:49 BenBE Target Version => 2014 Q3
2014-11-21 06:49 INOPIAE Status solved? => closed